android模拟器运行cocos2d-x 2.0.4

从cocos2d-x 2.0之后,就改用OpenGL ES 2.0,但是android模拟器直到4.0.3版本开始才支持ES 2.0,所以需要新建一个高于4.0.3的模拟器

记得勾选那个Use host GPU

如果你确信你程序没有错,android配置也没有错,模拟器设置也没有错,但是一运行模拟题就提示unexpected error,那么请换新版本的NDK

我搞了一天死去活来查了无数资料,虽然我用的NDK-r7可以在真机运行,但是一到模拟器就妥妥的出错,完全不知道为什么,最后随手下了个新版NDK-r8一编译,立刻就运行了……

此刻真是千万只草泥马在心中奔腾啊

Tagged

3 thoughts on “android模拟器运行cocos2d-x 2.0.4

  1. zengda说道:

    不错,不错,看看了!

  2. 380970说道:

    看看!

  3. 增达网说道:

    受教了!呵呵!

发表评论

电子邮件地址不会被公开。